## anacron 2.1

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,13 @@
 PREFIX = 
 BINDIR = $(PREFIX)/usr/sbin
 MANDIR = $(PREFIX)/usr/man
-CFLAGS = -Wall -O2 -g
+CFLAGS = -Wall -pedantic -O2
 #CFLAGS = -Wall -O2 -g -DDEBUG
 
 # If you change these, please update the man-pages too
 # Only absolute paths here, please
 SPOOLDIR = /var/spool/anacron
 ANACRONTAB = /etc/anacrontab
-
-
 
 RELEASE = 2.0.1
 package_name = anacron-$(RELEASE)
@@ -66,7 +64,7 @@
 
 .PHONY: installdirs
 installdirs:
-	$(INSTALL_DIR) $(BINDIR) $(SPOOLDIR) $(MANDIR)/man5 $(MANDIR)/man8
+	$(INSTALL_DIR) $(BINDIR) $(PREFIX)$(SPOOLDIR) $(MANDIR)/man5 $(MANDIR)/man8
 
 .PHONY: install
 install: installdirs
