## anacron 2.3

=== Makefile ===
--- 
+++ 
@@ -30,9 +30,9 @@
 SPOOLDIR = /var/spool/anacron
 ANACRONTAB = /etc/anacrontab
 
-RELEASE = 2.0.1
+RELEASE = 2.3
 package_name = anacron-$(RELEASE)
-distfiles = COPYING README NEWS anacron.8 anacrontab.5 Makefile *.h *.c
+distfiles = ChangeLog COPYING README TODO anacron.8 anacrontab.5 Makefile *.h *.c
 
 SHELL = /bin/sh
 INSTALL = install
@@ -49,12 +49,6 @@
 .PHONY: all
 all: anacron
 
-anacron: $(objects)
-	$(CC) $(LDFLAGS) $^ $(LOADLIBES) -o $@
-
-%.o : %.c
-	$(CC) -c $(ALL_CPPFLAGS) $(CFLAGS) $< -o $@
-
 # This makefile generates header file dependencies auto-magically
 %.d: %.c
 	$(SHELL) -ec "$(CC) -MM $(ALL_CPPFLAGS) $< \
@@ -62,9 +56,16 @@
 
 include $(csources:.c=.d)
 
+anacron: $(objects)
+	$(CC) $(LDFLAGS) $^ $(LOADLIBES) -o $@
+
+%.o : %.c
+	$(CC) -c $(ALL_CPPFLAGS) $(CFLAGS) $< -o $@
+
 .PHONY: installdirs
 installdirs:
-	$(INSTALL_DIR) $(BINDIR) $(PREFIX)$(SPOOLDIR) $(MANDIR)/man5 $(MANDIR)/man8
+	$(INSTALL_DIR) $(BINDIR) $(PREFIX)$(SPOOLDIR) \
+		$(MANDIR)/man5 $(MANDIR)/man8
 
 .PHONY: install
 install: installdirs
@@ -75,6 +76,9 @@
 .PHONY: clean
 clean:
 	rm -f *.o *.d anacron
+
+distclean: clean
+	rm -f *~
 
 .PHONY: dist
 dist: $(package_name).tar.gz
@@ -87,3 +91,5 @@
 	tar cf $(package_name).tar $(package_name)
 	$(GZIP) $(package_name).tar
 	rm -r $(package_name)
+
+release: distclean $(package_name).tar.gz
