=== debian/changelog ===
anacron (2.3-45ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130106). Remaining changes:
    - d/{cron.d,anacrontab}: do not override PATH (LP #1779767)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 31 Oct 2025 12:10:46 +0300

anacron (2.3-45) unstable; urgency=medium

  * d/salsa-ci.yml: Enable salsa pipeline for autopkgtest
  * d/tests: Add autopkgtest
  * readtab.c: Fix opened directory for #870881
  * matchrx.c: Free allocated memory before return to fix memory leaks
  * readtab.c: Free allocated memory and return to avoid running jobs
    with unknown period names (See #920181)

 -- Lance Lin <lq27267@gmail.com>  Fri, 24 Oct 2025 21:49:30 +0700

anacron (2.3-44) unstable; urgency=medium

  * d/copyright: Update for debian/* copyright to include 2025
  * d/source/local-patch-header: Add Last-Update field for latest
    updates to single-debian-patch
  * d/control: Update standards version to 4.7.2
  * readtab.c, lock.c: Support @daily and @weekly symbols (Closes: #920181)
  * global.h, main.c, readtab.c: Add option to list obsolete timestamp files
    for an anacrontab file and spool directory respectively (See #870881)
  * anacrontab.5, anacron.8: Update manpages

 -- Lance Lin <lq27267@gmail.com>  Fri, 03 Oct 2025 19:48:08 +0700

anacron (2.3-43ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2114009). Remaining changes:
    - d/{cron.d, anacrontab}: do not override PATH

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Wed, 11 Jun 2025 14:11:30 -0700

anacron (2.3-43) unstable; urgency=medium

  [ Christian Goeschel Ndjomouo ]
  * global.h, runjob.c: Clean up temporary files (Closes: #1092269)

  [ наб ]
  * d/cron.d: move [ -x test into if so it doesn't fail the job if it
    fails (Closes: #1106000)

 -- Lance Lin <lq27267@gmail.com>  Mon, 02 Jun 2025 18:08:43 +0700

anacron (2.3-42ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:34:05 -0600

anacron (2.3-42) unstable; urgency=medium

  * main.c: Fix FTBFS with GCC-15

 -- Lance Lin <lq27267@gmail.com>  Tue, 25 Feb 2025 19:38:16 +0700

anacron (2.3-41ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 17:04:58 -0600

anacron (2.3-41) unstable; urgency=medium

  * d/control: Update standards version to 4.7.0
  * log.c: Fix conflicting types for built-in function 'log'
  * readtab.c: Remove set but unused 'period_len' and check
    return value of 'fchdir'
  * runjob.c: Remove const for 'putenv' argument, remove unused
    variable 'int r', and replace 'tempnam' usage with 'mkstemp'

 -- Lance Lin <lq27267@gmail.com>  Tue, 24 Dec 2024 21:37:51 +0700

anacron (2.3-40ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.
  * Drop workaround for upgrades from 2.3-33 (LP #2006589)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 15 Jul 2024 13:21:09 +0100

anacron (2.3-40) unstable; urgency=medium

  [ наб <nabijaczleweli@nabijaczleweli.xyz> ]
  * anacrontab.5: Mention @yearly period_name (Closes: #1067752)

  [ Lance Lin ]
  * d/control, d/README.debian, README: Mention yearly period scheduling
    in documentation
  * d/anacrontab: Add @yearly to default anacrontab
  * d/anacron.0anacron.cron.yearly: Install yearly anacron job
  * d/copyright: Add myself to debian/* copyright for 2024
  * d/s/local-patch-header: Set Forwarded to not-needed, since upstream
    is no longer maintained

 -- Lance Lin <lq27267@gmail.com>  Tue, 26 Mar 2024 21:07:54 +0700

anacron (2.3-39ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:08 +0200

anacron (2.3-39ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.
    - Work around upgrades from 2.3-33 disabling service and timer (LP: #2006589)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 17 Nov 2023 11:35:49 +0000

anacron (2.3-39) unstable; urgency=medium

  * d/control: Remove dependency on lsb-base
  * d/patches/0001-Fix-typo-in-log-message-ststus-status.patch:
    + Merge with single-debian-patch
    + runjob.c: Fix typo in log message, ststus to status (Closes: #987153)

 -- Lance Lin <lq27267@gmail.com>  Thu, 28 Sep 2023 20:44:47 +0700

anacron (2.3-38.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Let dh_installsystemd install anacron.timer. (Closes: #1052637)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 25 Sep 2023 15:47:01 +0200

anacron (2.3-38ubuntu1) mantic; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.
    - Work around upgrades from 2.3-33 disabling service and timer (LP: #2006589)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 13:44:47 -0500

anacron (2.3-38) unstable; urgency=medium

  * anacron.8: Editorial fixes (Closes: #1040885)
  * anacrontab.5: Editorial fixes (Closes: #1040887)

 -- Lance Lin <lq27267@gmail.com>  Thu, 13 Jul 2023 22:21:18 +0700

anacron (2.3-37) unstable; urgency=medium

  * anacron.8: Update manpage
    + Specify crontab for MAILTO variable (Closes: #1031774)
    + Fix formatting (Closes: #964504)

 -- Lance Lin <lq27267@gmail.com>  Wed, 05 Jul 2023 21:59:27 +0700

anacron (2.3-36ubuntu2) lunar; urgency=medium

  * Work around upgrades from 2.3-33 disabling service and timer (LP: #2006589)

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 08 Feb 2023 09:53:26 +0100

anacron (2.3-36ubuntu1) lunar; urgency=low

  * merge from debian unstable. remaining changes:

