=== debian/control ===
Source: anacron
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lance Lin <lq27267@gmail.com>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://sourceforge.net/projects/anacron/
Vcs-Git: https://salsa.debian.org/debian/anacron.git
Vcs-Browser: https://salsa.debian.org/debian/anacron

Package: anacron
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cron | cron-daemon,
Suggests:
 default-mta | mail-transport-agent,
 rsyslog | system-log-daemon,
 powermgmt-base,
Description: cron-like program that doesn't go by time
 Anacron (like "anac(h)ronistic") is a periodic command scheduler.  It
 executes commands at intervals specified in days.  Unlike cron, it
 does not assume that the system is running continuously.  It can
 therefore be used to control the execution of daily, weekly, monthly,
 and yearly jobs (or anything with a period of n days), on systems that
 don't run 24 hours a day.  When installed and configured properly,
 Anacron will make sure that the commands are run at the specified
 intervals as closely as machine uptime permits.
 .
 This package is pre-configured to execute the daily jobs of the
 Debian system.  You should install this program if your system isn't
 powered on 24 hours a day to make sure the maintenance jobs of other
 Debian packages are executed each day.
