=== debian/tests/control ===
Tests: unittests
Restrictions: needs-root
