=== debian/watch ===
version=4
https://sf.net/anacron/anacron-(.+)\.tar\.gz  debian  uupdate
